<?php  namespace Concrete\Package\FileListPro;
use BlockType,
Package,
AssetList,
\Concrete\Core\Asset\Asset,
Loader;
defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {

    protected $pkgHandle = 'file_list_pro';
    protected $appVersionRequired = '5.7.0.4';
    protected $pkgVersion = '1.1';

    public function getPackageDescription() {
        return t("List files from a set, with search and filter options.");
    }
    public function getPackageName() {
        return t("File List Pro");
    }
    public function install() {
        $pkg = parent::install();
        // install block 
        BlockType::installBlockTypeFromPackage('file_list_pro', $pkg); 
    } 
	public function uninstall(){
		parent::uninstall();
		$db = Loader::db();
		$db->Execute('DROP TABLE IF EXISTS btFilelistpro');
	}
}